--- Generate compile_commands.json for clangd language server
add_rules("plugin.compile_commands.autoupdate", {outputdir = ".vscode"})
--- Get C/C++ Lib Path
local INCLUDE_DIRS = path.splitenv(
  string.vformat("$(env VERILATOR_INCLUDE):$(env SYSTEMC_INCLUDE)")
)

target("TB_ISP")
  set_toolchains("gcc")
  set_languages("c++17")
  --- C/C++ Codes
  add_files(
    "src/**.cpp"
  )
  --- Include directories
  add_includedirs(
    ".",
    "src",
    "build/CMakeFiles/Visp_Pipeline.dir/Visp_Pipeline.dir",
    "build/CMakeFiles/Visp.dir/Visp.dir",
    "src/img_process",
    INCLUDE_DIRS
  )